---
title: String.prototype.toUpperCase()
slug: Web/JavaScript/Reference/Global_Objects/String/toUpperCase
tags:
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}}</div>

<p>The <strong><code>toUpperCase()</code></strong> method returns the calling string value converted to uppercase (the value will be converted to a string if it isn't one).</p>

<div>{{EmbedInteractiveExample("pages/js/string-touppercase.html","shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>str</var>.toUpperCase()</pre>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the calling string converted to upper case.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>{{jsxref("TypeError")}}</dt>
 <dd>When called on {{jsxref("null")}} or {{jsxref("undefined")}}, for example, <code>String.prototype.toUpperCase.call(undefined)</code>.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The <code>toUpperCase()</code> method returns the value of the string converted to uppercase. This method does not affect the value of the string itself since JavaScript strings are immutable.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<pre class="brush: js">console.log('alphabet'.toUpperCase()); // 'ALPHABET'
</pre>

<h3 id="Conversion_of_non-string_this_values_to_strings">Conversion of non-string <code>this</code> values to strings</h3>

<p>This method will convert any non-string value to a string, when you set its <code>this</code> to a value that is not a string:</p>

<pre class="brush: js">const a = String.prototype.toUpperCase.call({
  toString: function toString() {
    return 'abcdef';
  }
});

const b = String.prototype.toUpperCase.call(true);

// prints out 'ABCDEF TRUE'.
console.log(a, b);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.touppercase', 'String.prototype.toUpperCase')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.toUpperCase")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.toLocaleLowerCase()")}}</li>
 <li>{{jsxref("String.prototype.toLocaleUpperCase()")}}</li>
 <li>{{jsxref("String.prototype.toLowerCase()")}}</li>
</ul>
